<html>
   <head>
      <meta HTTP-EQUIV='Pragma' CONTENT='no-cache'>
      <style type="text/css">
body {
    color: #5f5f5f;
    background-color: #ffffff;
    font-size: x-small;
    font-family: "tahoma", "sans-serif", "arial", "helvetica";
}
td {
    color: #5f5f5f;
    background-color: #ffffff;
    font-size: x-small;
    font-family: "tahoma", "sans-serif", "arial", "helvetica";
}
td.txt {
    background-color: #f1f0ee;
}
td.menu {
    background-color: #f3f3f3;
}
td.hd {
    color: #5f5f5f;
    background-color: #e0e0e0;
    font-weight: bold;
    font-size: x-small;
    font-family: "tahoma", "sans-serif", "arial", "helvetica";
}
tr.hide {
display:none
}
input {
    color: #5f5f5f;
    font-size:x-small;
    font-family: "tahoma", "sans-serif", "arial", "helvetica";
}
.menuLink {
    color: #333333;
    font-weight: bold;
    font-size: 12px;
    font-family: "tahoma", "sans-serif", "arial", "helvetica";
    width: 100%;
    cursor: hand;
    text-decoration: none;
    text-align: left;
}

td.menu {
    background-color: #f3f3f3;
}

.footerbody {
    border-top: #b70024 1px solid;
    border-bottom: #b70024 1px solid;
    background: #000000 none;
}
.footertd {
    background-color: #000000;
}
.mainMenuBody {
    background: #f3f3f3 none;
}
.menuLink {
    color: #333333;
}
.menuLink:hover {
    color: #ffffff;
    background-color: #b70024;
}
.menuLink:active {
    color: #2288FF;
    background-color: #f3f3f3;
}
.menuLink:focus {
    color: #e10027;
    background-color: #f3f3f3;
}
.menuLink:focus:hover {
    color: #ffffff;
    background-color: #b70024;
}
.menuCell {
    background-color: #f3f3f3;
}

</style>
            <script language="javascript">
<!-- hide
var msg = new Array();
msg[0] = '<%ejGetOther(middleinfo, uploadinfoTips)%>';
msg[1] = '<%ejGetOther(middleinfo, uploadinfoTips1)%>';
msg[2] = '<%ejGetOther(middleinfo, uploadinfoTips2)%>';
msg[3] = '<%ejGetOther(middleinfo, uploadinfoTips3)%>';
msg[4] = '<%ejGetOther(middleinfo, uploadinfoTips4)%>';

var idxStr = '<%ejGetOther(sysInfo, upldSts)%>';

function getMsgIndex() {
   var idxNum = parseInt(idxStr);
   if ( isNaN(idxNum) || idxNum < 0 || idxNum > 4 )
      idxNum = 4;

   return idxNum;
}

function reboot() {
   var enblPopWin = '<%ejGet(enblPopWin)%>';
   var loc = 'main.html';
   var code = 'window.top.location="' + loc + '"';

   if ( enblPopWin == '1' ) {
      loc = 'index.html';
      code = 'location="' + loc + '"';
   }

   eval(code);
}

function frmLoad() {
   // only reboot if upload progress is successful
   if ( getMsgIndex() == 0 )
      setTimeout('reboot()', 125000);
}

function btnBack() {
   var code = 'location="' + 'upload.cgi' + '"';

   if (<%ejGet(glbUploadMode)%> == 2)
      code = 'location="' + 'updatesettings.cgi' + '"';
   eval(code);
}

// done hiding -->
</script>
   </head>
   <body onLoad='frmLoad()'>
      <blockquote> <b><%ejGetOther(middleinfo, uploadinfoTitle)%></b><br>
         <br>
         <script language="javascript">
<!-- hide
document.write(msg[getMsgIndex()]);
// done hiding -->
</script>
         <br>
         <br>
         <center>
            <input type='button' onClick='btnBack()' value='<%ejGetOther(middleinfo, uploadinfobtnBack)%>'>
         </center>
      </blockquote>
   </body>
</html>
